Projets
Obtenir la configuration
Lisez la configuration d’un projet, y compris les tokens de son système de design partagé.
GET
/
projects
/
{slug}
/
config
Get project configuration
curl --request GET \
--url https://faces.app/api/v1/projects/{slug}/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://faces.app/api/v1/projects/{slug}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://faces.app/api/v1/projects/{slug}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"cardsSlidesPerView": 1.25,
"cardsBackgroundColor": "<string>",
"cardsBackgroundImage": "<string>",
"theme": {
"fontFamily": "<string>",
"radius": "<string>",
"colors": {
"default": {
"background": "<string>",
"foreground": "<string>",
"card": "<string>",
"card-foreground": "<string>",
"primary": "<string>",
"primary-foreground": "<string>",
"secondary": "<string>",
"secondary-foreground": "<string>",
"muted": "<string>",
"muted-foreground": "<string>",
"accent": "<string>",
"accent-foreground": "<string>",
"destructive": "<string>",
"destructive-foreground": "<string>",
"border": "<string>",
"input": "<string>",
"card-border": "<string>",
"chart-1": "<string>",
"chart-2": "<string>",
"chart-3": "<string>",
"chart-4": "<string>",
"chart-5": "<string>"
},
"dark": {
"background": "<string>",
"foreground": "<string>",
"card": "<string>",
"card-foreground": "<string>",
"primary": "<string>",
"primary-foreground": "<string>",
"secondary": "<string>",
"secondary-foreground": "<string>",
"muted": "<string>",
"muted-foreground": "<string>",
"accent": "<string>",
"accent-foreground": "<string>",
"destructive": "<string>",
"destructive-foreground": "<string>",
"border": "<string>",
"input": "<string>",
"card-border": "<string>",
"chart-1": "<string>",
"chart-2": "<string>",
"chart-3": "<string>",
"chart-4": "<string>",
"chart-5": "<string>"
}
},
"headingFontFamily": "<string>"
},
"tokens": {
"palette": [],
"fonts": []
}
}
}{
"error": "<string>",
"hint": "<string>"
}Autorisations
API key with "faces_" prefix. Create one at Settings > Developers.
Paramètres de chemin
Réponse
Project configuration
Project-level settings stored in project.config.json, including the shared design system. Color token names must start with --; font token names with --font-.
Show child attributes
Show child attributes
⌘I
Get project configuration
